import { Component, Inject, OnInit } from '@angular/core';
import {
  MatDialog,
  MatDialogRef,
  MAT_DIALOG_DATA,
} from '@angular/material/dialog';
import { DataService } from 'src/app/Services/data.service';

import { TransactionData } from '../dashboard.component';

@Component({
  selector: 'app-user-dialog',
  templateUrl: './user-dialog.component.html',
  styleUrls: ['./user-dialog.component.scss'],
})
export class UserDialogComponent implements OnInit {
  constructor(
    private dataService: DataService,
    public dialog: MatDialog,
    public dialogRef: MatDialogRef<UserDialogComponent>,
    @Inject(MAT_DIALOG_DATA) public data: TransactionData
  ) {}

  ngOnInit(): void {}

  onSubmit() {
    console.log(this.data);
    this.dataService.createTransaction(
      this.data.symbol,
      this.data.time,
      this.data.count,
      this.data.price
    );
    this.dialog.closeAll();
  }
}
